package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (BdPsndoc)实体类
 *
 * @author makejava
 * @since 2023-12-09 15:18:18
 */
public class BdPsndocEntity extends BaseEntity {
 
 private String amcode;
 private String clerkcode;
 private String clerkflag;
 private String createtime;
 private String creator;
 private String def1;
 private String def10;
 private String def11;
 private String def12;
 private String def13;
 private String def14;
 private String def15;
 private String def16;
 private String def17;
 private String def18;
 private String def19;
 private String def2;
 private String def20;
 private String def3;
 private String def4;
 private String def5;
 private String def6;
 private String def7;
 private String def8;
 private String def9;
 private Integer dr;
 private String indocflag;
 private String indutydate;
 private String innercode;
 private String jobrank;
 private String jobseries;
 private String maxinnercode;
 private String modifier;
 private String modifytime;
 private String outdutydate;
 private String pkCorp;
 private String pkDeptdoc;
 private String pkOmJob;
 private String pkPsnbasdoc;
 private String pkPsncl;
 private String pkPsndoc;
 private Integer psnclscope;
 private String psncode;
 private String psnname;
 private String sealdate;
 private String ts;
 private String directleader;
 private String dutyname;
 private String groupdef1;
 private String groupdef10;
 private String groupdef11;
 private String groupdef12;
 private String groupdef13;
 private String groupdef14;
 private String groupdef15;
 private String groupdef16;
 private String groupdef17;
 private String groupdef18;
 private String groupdef19;
 private String groupdef2;
 private String groupdef20;
 private String groupdef3;
 private String groupdef4;
 private String groupdef5;
 private String groupdef6;
 private String groupdef7;
 private String groupdef8;
 private String groupdef9;
 private String hroperator;
 private String insource;
 private String iscalovertime;
 private String isreferenced;
 private String isreturn;
 private String onpostdate;
 private String outmethod;
 private String pkClerkclass;
 private String pkDutyrank;
 private String pkPsntype;
 private String poststat;
 private String psnnamepinyin;
 private String recruitresource;
 private String regular;
 private String regulardata;
 private String series;
 private Integer showorder;
 private Integer tbmProp;
 private String timecardid;
 private String wastopdate;


    public String getAmcode() {
        return amcode;
    }

    public void setAmcode(String amcode) {
        this.amcode = amcode;
    }

    public String getClerkcode() {
        return clerkcode;
    }

    public void setClerkcode(String clerkcode) {
        this.clerkcode = clerkcode;
    }

    public String getClerkflag() {
        return clerkflag;
    }

    public void setClerkflag(String clerkflag) {
        this.clerkflag = clerkflag;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef11() {
        return def11;
    }

    public void setDef11(String def11) {
        this.def11 = def11;
    }

    public String getDef12() {
        return def12;
    }

    public void setDef12(String def12) {
        this.def12 = def12;
    }

    public String getDef13() {
        return def13;
    }

    public void setDef13(String def13) {
        this.def13 = def13;
    }

    public String getDef14() {
        return def14;
    }

    public void setDef14(String def14) {
        this.def14 = def14;
    }

    public String getDef15() {
        return def15;
    }

    public void setDef15(String def15) {
        this.def15 = def15;
    }

    public String getDef16() {
        return def16;
    }

    public void setDef16(String def16) {
        this.def16 = def16;
    }

    public String getDef17() {
        return def17;
    }

    public void setDef17(String def17) {
        this.def17 = def17;
    }

    public String getDef18() {
        return def18;
    }

    public void setDef18(String def18) {
        this.def18 = def18;
    }

    public String getDef19() {
        return def19;
    }

    public void setDef19(String def19) {
        this.def19 = def19;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef20() {
        return def20;
    }

    public void setDef20(String def20) {
        this.def20 = def20;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public String getIndocflag() {
        return indocflag;
    }

    public void setIndocflag(String indocflag) {
        this.indocflag = indocflag;
    }

    public String getIndutydate() {
        return indutydate;
    }

    public void setIndutydate(String indutydate) {
        this.indutydate = indutydate;
    }

    public String getInnercode() {
        return innercode;
    }

    public void setInnercode(String innercode) {
        this.innercode = innercode;
    }

    public String getJobrank() {
        return jobrank;
    }

    public void setJobrank(String jobrank) {
        this.jobrank = jobrank;
    }

    public String getJobseries() {
        return jobseries;
    }

    public void setJobseries(String jobseries) {
        this.jobseries = jobseries;
    }

    public String getMaxinnercode() {
        return maxinnercode;
    }

    public void setMaxinnercode(String maxinnercode) {
        this.maxinnercode = maxinnercode;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getModifytime() {
        return modifytime;
    }

    public void setModifytime(String modifytime) {
        this.modifytime = modifytime;
    }

    public String getOutdutydate() {
        return outdutydate;
    }

    public void setOutdutydate(String outdutydate) {
        this.outdutydate = outdutydate;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDeptdoc() {
        return pkDeptdoc;
    }

    public void setPkDeptdoc(String pkDeptdoc) {
        this.pkDeptdoc = pkDeptdoc;
    }

    public String getPkOmJob() {
        return pkOmJob;
    }

    public void setPkOmJob(String pkOmJob) {
        this.pkOmJob = pkOmJob;
    }

    public String getPkPsnbasdoc() {
        return pkPsnbasdoc;
    }

    public void setPkPsnbasdoc(String pkPsnbasdoc) {
        this.pkPsnbasdoc = pkPsnbasdoc;
    }

    public String getPkPsncl() {
        return pkPsncl;
    }

    public void setPkPsncl(String pkPsncl) {
        this.pkPsncl = pkPsncl;
    }

    public String getPkPsndoc() {
        return pkPsndoc;
    }

    public void setPkPsndoc(String pkPsndoc) {
        this.pkPsndoc = pkPsndoc;
    }

    public Integer getPsnclscope() {
        return psnclscope;
    }

    public void setPsnclscope(Integer psnclscope) {
        this.psnclscope = psnclscope;
    }

    public String getPsncode() {
        return psncode;
    }

    public void setPsncode(String psncode) {
        this.psncode = psncode;
    }

    public String getPsnname() {
        return psnname;
    }

    public void setPsnname(String psnname) {
        this.psnname = psnname;
    }

    public String getSealdate() {
        return sealdate;
    }

    public void setSealdate(String sealdate) {
        this.sealdate = sealdate;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getDirectleader() {
        return directleader;
    }

    public void setDirectleader(String directleader) {
        this.directleader = directleader;
    }

    public String getDutyname() {
        return dutyname;
    }

    public void setDutyname(String dutyname) {
        this.dutyname = dutyname;
    }

    public String getGroupdef1() {
        return groupdef1;
    }

    public void setGroupdef1(String groupdef1) {
        this.groupdef1 = groupdef1;
    }

    public String getGroupdef10() {
        return groupdef10;
    }

    public void setGroupdef10(String groupdef10) {
        this.groupdef10 = groupdef10;
    }

    public String getGroupdef11() {
        return groupdef11;
    }

    public void setGroupdef11(String groupdef11) {
        this.groupdef11 = groupdef11;
    }

    public String getGroupdef12() {
        return groupdef12;
    }

    public void setGroupdef12(String groupdef12) {
        this.groupdef12 = groupdef12;
    }

    public String getGroupdef13() {
        return groupdef13;
    }

    public void setGroupdef13(String groupdef13) {
        this.groupdef13 = groupdef13;
    }

    public String getGroupdef14() {
        return groupdef14;
    }

    public void setGroupdef14(String groupdef14) {
        this.groupdef14 = groupdef14;
    }

    public String getGroupdef15() {
        return groupdef15;
    }

    public void setGroupdef15(String groupdef15) {
        this.groupdef15 = groupdef15;
    }

    public String getGroupdef16() {
        return groupdef16;
    }

    public void setGroupdef16(String groupdef16) {
        this.groupdef16 = groupdef16;
    }

    public String getGroupdef17() {
        return groupdef17;
    }

    public void setGroupdef17(String groupdef17) {
        this.groupdef17 = groupdef17;
    }

    public String getGroupdef18() {
        return groupdef18;
    }

    public void setGroupdef18(String groupdef18) {
        this.groupdef18 = groupdef18;
    }

    public String getGroupdef19() {
        return groupdef19;
    }

    public void setGroupdef19(String groupdef19) {
        this.groupdef19 = groupdef19;
    }

    public String getGroupdef2() {
        return groupdef2;
    }

    public void setGroupdef2(String groupdef2) {
        this.groupdef2 = groupdef2;
    }

    public String getGroupdef20() {
        return groupdef20;
    }

    public void setGroupdef20(String groupdef20) {
        this.groupdef20 = groupdef20;
    }

    public String getGroupdef3() {
        return groupdef3;
    }

    public void setGroupdef3(String groupdef3) {
        this.groupdef3 = groupdef3;
    }

    public String getGroupdef4() {
        return groupdef4;
    }

    public void setGroupdef4(String groupdef4) {
        this.groupdef4 = groupdef4;
    }

    public String getGroupdef5() {
        return groupdef5;
    }

    public void setGroupdef5(String groupdef5) {
        this.groupdef5 = groupdef5;
    }

    public String getGroupdef6() {
        return groupdef6;
    }

    public void setGroupdef6(String groupdef6) {
        this.groupdef6 = groupdef6;
    }

    public String getGroupdef7() {
        return groupdef7;
    }

    public void setGroupdef7(String groupdef7) {
        this.groupdef7 = groupdef7;
    }

    public String getGroupdef8() {
        return groupdef8;
    }

    public void setGroupdef8(String groupdef8) {
        this.groupdef8 = groupdef8;
    }

    public String getGroupdef9() {
        return groupdef9;
    }

    public void setGroupdef9(String groupdef9) {
        this.groupdef9 = groupdef9;
    }

    public String getHroperator() {
        return hroperator;
    }

    public void setHroperator(String hroperator) {
        this.hroperator = hroperator;
    }

    public String getInsource() {
        return insource;
    }

    public void setInsource(String insource) {
        this.insource = insource;
    }

    public String getIscalovertime() {
        return iscalovertime;
    }

    public void setIscalovertime(String iscalovertime) {
        this.iscalovertime = iscalovertime;
    }

    public String getIsreferenced() {
        return isreferenced;
    }

    public void setIsreferenced(String isreferenced) {
        this.isreferenced = isreferenced;
    }

    public String getIsreturn() {
        return isreturn;
    }

    public void setIsreturn(String isreturn) {
        this.isreturn = isreturn;
    }

    public String getOnpostdate() {
        return onpostdate;
    }

    public void setOnpostdate(String onpostdate) {
        this.onpostdate = onpostdate;
    }

    public String getOutmethod() {
        return outmethod;
    }

    public void setOutmethod(String outmethod) {
        this.outmethod = outmethod;
    }

    public String getPkClerkclass() {
        return pkClerkclass;
    }

    public void setPkClerkclass(String pkClerkclass) {
        this.pkClerkclass = pkClerkclass;
    }

    public String getPkDutyrank() {
        return pkDutyrank;
    }

    public void setPkDutyrank(String pkDutyrank) {
        this.pkDutyrank = pkDutyrank;
    }

    public String getPkPsntype() {
        return pkPsntype;
    }

    public void setPkPsntype(String pkPsntype) {
        this.pkPsntype = pkPsntype;
    }

    public String getPoststat() {
        return poststat;
    }

    public void setPoststat(String poststat) {
        this.poststat = poststat;
    }

    public String getPsnnamepinyin() {
        return psnnamepinyin;
    }

    public void setPsnnamepinyin(String psnnamepinyin) {
        this.psnnamepinyin = psnnamepinyin;
    }

    public String getRecruitresource() {
        return recruitresource;
    }

    public void setRecruitresource(String recruitresource) {
        this.recruitresource = recruitresource;
    }

    public String getRegular() {
        return regular;
    }

    public void setRegular(String regular) {
        this.regular = regular;
    }

    public String getRegulardata() {
        return regulardata;
    }

    public void setRegulardata(String regulardata) {
        this.regulardata = regulardata;
    }

    public String getSeries() {
        return series;
    }

    public void setSeries(String series) {
        this.series = series;
    }

    public Integer getShoworder() {
        return showorder;
    }

    public void setShoworder(Integer showorder) {
        this.showorder = showorder;
    }

    public Integer getTbmProp() {
        return tbmProp;
    }

    public void setTbmProp(Integer tbmProp) {
        this.tbmProp = tbmProp;
    }

    public String getTimecardid() {
        return timecardid;
    }

    public void setTimecardid(String timecardid) {
        this.timecardid = timecardid;
    }

    public String getWastopdate() {
        return wastopdate;
    }

    public void setWastopdate(String wastopdate) {
        this.wastopdate = wastopdate;
    }

}

